Name:           laughlin-backgrounds
Version:        14.1.0
Release:        1%{?dist}
Summary:        Laughlin desktop backgrounds

Group:          Applications/Multimedia
License:        CC-BY-SA
URL:            https://fedoraproject.org/wiki/F14_Artwork
Source0:        https://fedorahosted.org/released/design-team/%{name}-%{version}.tar.lzma
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

# for %%_kde4_* macros
BuildRequires:  kde-filesystem
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       %{name}-kde = %{version}-%{release}


%description
This package contains desktop backgrounds for the Laughlin theme. Pulls in both
Gnome and KDE themes.

%package        single
Summary:        Single screen images for Laughlin Backgrounds
Group:          Applications/Multimedia
License:        CC-BY-SA

%description    single
This package contains single screen images for Laughlin Backgrounds

%package        animated
Summary:        Images for Time of Day animation for Laughlin Backgrounds
Group:          Applications/Multimedia
License:        CC-BY-SA
Requires:       %{name}-single = %{version}-%{release}

%description    animated
This package contains single screen images for Time of Day animation for 
Laughlin Backgrounds

%package        animated-gnome
Summary:        Time of Day animation for Laughlin Backgrounds for Gnome
Group:          Applications/Multimedia
License:        CC-BY-SA
Requires:       %{name}-animated = %{version}-%{release}

%description    animated-gnome
This package contains Time of Day animated wallpaper for Gnome dekstop for
the Laughlin theme.

%package        kde 
Summary:        Laughlin Wallpapers for KDE 
Group:          Applications/Multimedia
%if 0%{?fedora} >= 14
Provides:       system-backgrounds-kde = %{version}-%{release}
%endif

Requires:       %{name}-single = %{version}-%{release} 
Requires:       kde-filesystem

%description    kde 
This package contains KDE desktop wallpapers for the Laughlin theme.

%package        gnome 
Summary:        Laughlin Wallpapers for Gnome 
Group:          Applications/Multimedia

Requires:       %{name}-single = %{version}-%{release} 
%if 0%{?fedora} >= 14
Provides:        system-backgrounds-gnome = %{version}-%{release}
%endif

%description    gnome 
This package contains Gnome desktop wallpapers for the Laughlin theme.

%package        extras-single
Summary:        Single screen images for Laughlin Extras Backrounds
Group:          Applications/Multimedia
License:        CC-BY and CC-BY-SA

%description    extras-single
This package contains single screen images for Laughlin supplemental wallpapers

%package        extras-gnome
Summary:        Extra Laughlin Wallpapers for Gnome
Group:          Applications/Multimedia

Requires:       %{name}-extras-single

%description    extras-gnome
This package contains Laughlin supplemental wallpapers for Gnome

%package        extras-kde
Summary:        Extra Laughlin Wallpapers for KDE
Group:          Applications/Multimedia

Requires:       %{name}-extras-single

%description    extras-kde
This package contains Laughlin supplemental wallpapers for Gnome


%prep
%setup -q


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc

%files single
%defattr(-,root,root,-)
%doc CC-BY-SA\ 3.0 Attribution
#There'll be also dual wallpapers in dual subpackage in the future, hence the 
# %%dir ownership is treated separately
%dir %{_datadir}/backgrounds/laughlin
%dir %{_datadir}/backgrounds/laughlin/default
%{_datadir}/backgrounds/laughlin/default/normalish
%{_datadir}/backgrounds/laughlin/default/standard
%{_datadir}/backgrounds/laughlin/default/wide

%files animated
%defattr(-,root,root,-)
%dir %{_datadir}/backgrounds/laughlin/default-tod
%{_datadir}/backgrounds/laughlin/default-tod/normalish
%{_datadir}/backgrounds/laughlin/default-tod/standard
%{_datadir}/backgrounds/laughlin/default-tod/wide

%files animated-gnome
%defattr(-,root,root,-)
%{_datadir}/backgrounds/laughlin/default-tod/laughlin.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-laughlin-animated.xml

%files kde
%defattr(-,root,root,-)
%{_kde4_datadir}/wallpapers/Laughlin/

%files gnome
%defattr(-,root,root,-)
%{_datadir}/backgrounds/laughlin/default/laughlin.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-laughlin.xml

%files extras-single
%doc CC-BY\ 2.0 CC-BY-SA\ 2.0 CC-BY-SA\ 3.0 Attribution
%defattr(-,root,root,-)
%{_datadir}/backgrounds/laughlin/extras/*.jpg

%files extras-gnome
%defattr(-,root,root,-)
%{_datadir}/backgrounds/laughlin/extras/laughlin-extras.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-laughlin-extras.xml

%files extras-kde
%defattr(-,root,root,-)
%{_kde4_datadir}/wallpapers/Laughlin_*/


%changelog
* Sun Oct 17 2010 Martin Sourada <mso@fedoraproject.org> - 14.1.0-1
- New upstream release
  - Split animated backgrounds out of main gnome package (animated background 
    are too big for some spins)
  - Fix a typo in animated wallpaper xml (it should start at 7am not 6am)
  

* Wed Oct 13 2010 Martin Sourada <mso@fedoraproject.org> - 14.0.0-1
- New upstream release
  - Adds Time of Day wallpaper for Gnome
  - Fix some attributions
  - Fixes 634328

* Tue Sep 14 2010 Martin Sourada <mso@fedoraproject.org> - 13.92.0-1
- New upstream release
  - Add extras wallpapers

* Tue Jul 27 2010 Martin Sourada <mso@fedoraproject.org> - 13.91.0-1
- Initial backgrounds package for F14 Laughlin

